| Home | Libraries | People | FAQ | More

###### field::get_int64 (1 of 2 overloads)

Retrieves a reference to the underlying `std::int64_t` value (unchecked access).

###### Synopsis

    const std::int64_t&
    get_int64() const noexcept;

###### Preconditions

`this->is_int64() == true` (if violated, results in undefined behavior).

###### Exception safety

No-throw guarantee.

###### Object lifetimes

The returned reference is valid as long as `*this` is alive and no function that invalidates references is called on `*this`.